InvalidateOperationContext (Apache Geode 1.4.0)
Date: 2018-01-29

org.apache.geode.cache.operations

## Class InvalidateOperationContext

- java.lang.Object
- - org.apache.geode.cache.operations.OperationContext
  - - org.apache.geode.cache.operations.KeyOperationContext
    - - org.apache.geode.cache.operations.InvalidateOperationContext

- Deprecated.
  since Geode1.0, use `ResourcePermission` instead

      public class InvalidateOperationContext
      extends KeyOperationContext

  Encapsulates a `OperationContext.OperationCode.INVALIDATE` region operation having the key object for both the pre-operation case and for post-operation updates.
  Since:
    GemFire 5.5

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.geode.cache.operations.OperationContext

      `OperationContext.OperationCode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidateOperationContext(java.lang.Object key)` Deprecated. Constructor for the operation.
    `InvalidateOperationContext(java.lang.Object key, boolean isPostOperation)` Deprecated. Constructor for the operation to use for post-operation in updates.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `OperationContext.OperationCode` | `getOperationCode()` Deprecated. Return the operation associated with the `OperationContext` object.

    - ### Methods inherited from class org.apache.geode.cache.operations.KeyOperationContext

      `getCallbackArg, getKey, isPostOperation, setCallbackArg, setPostOperation`

    - ### Methods inherited from class org.apache.geode.cache.operations.OperationContext

      `isClientUpdate, isClientUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidateOperationContext

          public InvalidateOperationContext(java.lang.Object key)

      Deprecated.
      Constructor for the operation.
      Parameters:
        `key` - the key for this operation

    - #### InvalidateOperationContext

          public InvalidateOperationContext(java.lang.Object key,
                                            boolean isPostOperation)

      Deprecated.
      Constructor for the operation to use for post-operation in updates.
      Parameters:
        `key` - the key for this operation
        `isPostOperation` - true if the context is at the time of sending updates

  - ### Method Detail

    - #### getOperationCode

          public OperationContext.OperationCode getOperationCode()

      Deprecated.
      Return the operation associated with the `OperationContext` object.
      Specified by:
        `getOperationCode` in class `KeyOperationContext`
      Returns:
        `OperationCode.INVALIDATE`.